Returns a chronological timeline of events for a workflow run.
curl --request GET \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/timeline \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"steps": [
{
"duration_ms": 123,
"on_critical_path": true,
"status": "<string>",
"step_ref": "<string>",
"step_run_id": "<string>",
"wait_ms": 123,
"finished_at": "2023-11-07T05:31:56Z",
"parallel_with": [
"<string>"
],
"started_at": "2023-11-07T05:31:56Z"
}
],
"total_ms": 123,
"workflow_run_id": "<string>",
"$schema": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
Show child attributes
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/TimelineResponse.json"
curl --request GET \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/timeline \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"steps": [
{
"duration_ms": 123,
"on_critical_path": true,
"status": "<string>",
"step_ref": "<string>",
"step_run_id": "<string>",
"wait_ms": 123,
"finished_at": "2023-11-07T05:31:56Z",
"parallel_with": [
"<string>"
],
"started_at": "2023-11-07T05:31:56Z"
}
],
"total_ms": 123,
"workflow_run_id": "<string>",
"$schema": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z"
}